#language: ru

@financial_results

Функционал: 007. financial_results. Распределение затрат

Сценарий: 007.1. financial_results. Создание распределения затрат на Аренду

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "01.007. ФинРез"
	Дано я удаляю объекты "Документы.к2РаспределениеЗатрат" без контроля ссылок
	Дано я удаляю объекты "Документы.к2КорректировкаСписанияЗапасов" без контроля ссылок
	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Аренда"
	И в поле с именем 'Комментарий' я ввожу текст 'РаспределениеЗатратАренда'
	* Проверка заполнившихся значений
		Тогда элемент формы с именем "Сценарий" стал равен 'Аренда'
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		Тогда таблица "Затраты" стала равной:
			| 'Подразделение' | 'Статья затрат' | 'Аналитика затрат' | 'Сумма, RUB' |
			| 'Склад'         | 'Аренда'        | '<Не заполнено>'   | '400,00'     |
		Тогда элемент формы с именем "Комментарий" стал равен 'РаспределениеЗатратАренда'
		Тогда элемент формы с именем "СуммаДокумента" стал равен '400,00'
		Тогда таблица "База" стала равной по шаблону:
			| 'Количество' | 'Контрагент' | 'Документ продажи'                     | 'Валовая прибыль, RUB' | 'Номенклатура' | 'Подразделение'  | 'Сумма, RUB' | 'Заказ клиента'                          | 'Вес, кг' | 'Себестоимость, RUB' |
			| '5,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '90,00'                | 'Кефир'        | '<Не заполнено>' | '250,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '5'       | '160,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '180,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '320,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '190,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '550,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '360,00'             |
			| '8,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '280,00'               | 'Творог'       | '<Не заполнено>' | '960,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '8'       | '680,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '130,00'               | 'Кефир'        | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '320,00'             |
			| '5,000'      | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '70,00'                | 'Молоко 2,5 %' | '<Не заполнено>' | '225,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '5'       | '155,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '180,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '520,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '300,00'               | 'Творог'       | '<Не заполнено>' | '1 150,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
			| '15,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '195,00'               | 'Кефир'        | '<Не заполнено>' | '675,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '15'      | '480,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '140,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '310,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '160,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '250,00'               | 'Творог'       | '<Не заполнено>' | '1 100,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение' | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат' | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'ИП Смирнов' | 'Склад'         | 'Кефир'        | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '250,000'    | '13,64'      |
			| 'ИП Смирнов' | 'Склад'         | 'Молоко 2,5 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '500,000'    | '27,29'      |
			| 'ИП Смирнов' | 'Склад'         | 'Молоко 3,2 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '550,000'    | '30,01'      |
			| 'ИП Смирнов' | 'Склад'         | 'Творог'       | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '960,000'    | '52,39'      |
			| 'Магнит'     | 'Склад'         | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '450,000'    | '24,56'      |
			| 'Магнит'     | 'Склад'         | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '225,000'    | '12,28'      |
			| 'Магнит'     | 'Склад'         | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '520,000'    | '28,38'      |
			| 'Магнит'     | 'Склад'         | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '1 150,000'  | '62,75'      |
			| 'Х5'         | 'Склад'         | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '675,000'    | '36,83'      |
			| 'Х5'         | 'Склад'         | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '450,000'    | '24,56'      |
			| 'Х5'         | 'Склад'         | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '500,000'    | '27,29'      |
			| 'Х5'         | 'Склад'         | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Аренда'        | '<Не заполнено>'   | '1 100,000'  | '60,02'      |
		Тогда элемент формы с именем "Показатель" стал равен 'Сумма'
		Тогда элемент формы с именем "Пояснение" стал равен 'Аренда'
	И Я заканчиваю создавать распределение затрат

Сценарий: 007.2. financial_results. Проверка движений распределения затрат на Аренду
	
	И Я проверяю движения распределение затрат "РаспределениеЗатратАренда"

Сценарий: 007.3. financial_results. Создание распределения затрат на З/П Менеджера клиента

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "З/П Менеджера клиента"
	И в поле с именем 'Комментарий' я ввожу текст 'РаспределениеЗатратЗПМенеджераКлиента'
	* Проверка заполнившихся значений
		Тогда элемент формы с именем "Сценарий" стал равен 'З/П Менеджера клиента'
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		Тогда таблица "Затраты" стала равной:
			| 'Подразделение' | 'Статья затрат'         | 'Аналитика затрат' | 'Сумма, RUB' |
			| 'Отдел продаж'  | 'З/П Менеджера клиента' | 'Гладких И.В.'     | '65,00'      |
			| 'Отдел продаж'  | 'З/П Менеджера клиента' | 'Зуев Н.Д.'        | '65,00'      |
			| 'Отдел продаж'  | 'З/П Менеджера клиента' | 'Орехов И.С.'      | '65,00'      |
		Тогда элемент формы с именем "Комментарий" стал равен 'РаспределениеЗатратЗПМенеджераКлиента'
		Тогда элемент формы с именем "СуммаДокумента" стал равен '195,00'
		Тогда таблица "База" стала равной по шаблону:
			| 'Количество' | 'Контрагент' | 'Документ продажи'                     | 'Валовая прибыль, RUB' | 'Номенклатура' | 'Подразделение'  | 'Сумма, RUB' | 'Заказ клиента'                          | 'Вес, кг' | 'Себестоимость, RUB' |
			| '5,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '90,00'                | 'Кефир'        | '<Не заполнено>' | '250,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '5'       | '160,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '180,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '320,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '190,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '550,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '360,00'             |
			| '8,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '280,00'               | 'Творог'       | '<Не заполнено>' | '960,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '8'       | '680,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '130,00'               | 'Кефир'        | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '320,00'             |
			| '5,000'      | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '70,00'                | 'Молоко 2,5 %' | '<Не заполнено>' | '225,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '5'       | '155,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '180,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '520,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '300,00'               | 'Творог'       | '<Не заполнено>' | '1 150,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
			| '15,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '195,00'               | 'Кефир'        | '<Не заполнено>' | '675,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '15'      | '480,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '140,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '310,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '160,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '250,00'               | 'Творог'       | '<Не заполнено>' | '1 100,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение' | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'         | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'ИП Смирнов' | 'Отдел продаж'  | 'Кефир'        | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Гладких И.В.'     | '90,000'     | '7,91'       |
			| 'ИП Смирнов' | 'Отдел продаж'  | 'Молоко 2,5 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Гладких И.В.'     | '180,000'    | '15,81'      |
			| 'ИП Смирнов' | 'Отдел продаж'  | 'Молоко 3,2 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Гладких И.В.'     | '190,000'    | '16,69'      |
			| 'ИП Смирнов' | 'Отдел продаж'  | 'Творог'       | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Гладких И.В.'     | '280,000'    | '24,59'      |
			| 'Магнит'     | 'Отдел продаж'  | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Зуев Н.Д.'        | '130,000'    | '12,43'      |
			| 'Магнит'     | 'Отдел продаж'  | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Зуев Н.Д.'        | '70,000'     | '6,69'       |
			| 'Магнит'     | 'Отдел продаж'  | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Зуев Н.Д.'        | '180,000'    | '17,21'      |
			| 'Магнит'     | 'Отдел продаж'  | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Зуев Н.Д.'        | '300,000'    | '28,67'      |
			| 'Х5'         | 'Отдел продаж'  | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Орехов И.С.'      | '195,000'    | '17,01'      |
			| 'Х5'         | 'Отдел продаж'  | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Орехов И.С.'      | '140,000'    | '12,21'      |
			| 'Х5'         | 'Отдел продаж'  | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Орехов И.С.'      | '160,000'    | '13,96'      |
			| 'Х5'         | 'Отдел продаж'  | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Менеджера клиента' | 'Орехов И.С.'      | '250,000'    | '21,82'      |
		Тогда элемент формы с именем "Показатель" стал равен 'Валовая прибыль'
		Тогда элемент формы с именем "Пояснение" стал равен 'З/П Менеджера клиента'
	И Я заканчиваю создавать распределение затрат

Сценарий: 007.4. financial_results. Проверка движений распределения затрат на З/П Менеджера клиента
	
	И Я проверяю движения распределение затрат "РаспределениеЗатратЗПМенеджераКлиента"

Сценарий: 007.5. financial_results. Создание распределения затрат на З/П Руководителя направления

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "З/П Руководителя направления"
	И в поле с именем 'Комментарий' я ввожу текст 'РаспределениеЗатратЗПРуководителяНаправления'
	* Проверка заполнившихся значений
		Тогда элемент формы с именем "Сценарий" стал равен 'З/П Руководителя направления'
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		Тогда таблица "Затраты" стала равной:
			| 'Подразделение' | 'Статья затрат'                | 'Аналитика затрат' | 'Сумма, RUB' |
			| 'Отдел продаж'  | 'З/П Руководителя направления' | 'Иванов А.А.'      | '150,00'     |
			| 'Отдел продаж'  | 'З/П Руководителя направления' | 'Петров П.Г.'      | '350,00'     |
		Тогда элемент формы с именем "Комментарий" стал равен 'РаспределениеЗатратЗПРуководителяНаправления'
		Тогда элемент формы с именем "СуммаДокумента" стал равен '500,00'
		Тогда таблица "База" стала равной по шаблону:
			| 'Количество' | 'Контрагент' | 'Документ продажи'                     | 'Валовая прибыль, RUB' | 'Номенклатура' | 'Подразделение'  | 'Сумма, RUB' | 'Заказ клиента'                          | 'Вес, кг' | 'Себестоимость, RUB' |
			| '5,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '90,00'                | 'Кефир'        | '<Не заполнено>' | '250,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '5'       | '160,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '180,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '320,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '190,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '550,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '360,00'             |
			| '8,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '280,00'               | 'Творог'       | '<Не заполнено>' | '960,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '8'       | '680,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '130,00'               | 'Кефир'        | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '320,00'             |
			| '5,000'      | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '70,00'                | 'Молоко 2,5 %' | '<Не заполнено>' | '225,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '5'       | '155,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '180,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '520,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '300,00'               | 'Творог'       | '<Не заполнено>' | '1 150,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
			| '15,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '195,00'               | 'Кефир'        | '<Не заполнено>' | '675,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '15'      | '480,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '140,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '310,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '160,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '250,00'               | 'Творог'       | '<Не заполнено>' | '1 100,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение' | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'                | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'ИП Смирнов' | 'Отдел продаж'  | 'Кефир'        | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Иванов А.А.'      | '90,000'     | '18,24'      |
			| 'ИП Смирнов' | 'Отдел продаж'  | 'Молоко 2,5 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Иванов А.А.'      | '180,000'    | '36,49'      |
			| 'ИП Смирнов' | 'Отдел продаж'  | 'Молоко 3,2 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Иванов А.А.'      | '190,000'    | '38,51'      |
			| 'ИП Смирнов' | 'Отдел продаж'  | 'Творог'       | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Иванов А.А.'      | '280,000'    | '56,76'      |
			| 'Магнит'     | 'Отдел продаж'  | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Петров П.Г.'      | '130,000'    | '31,93'      |
			| 'Магнит'     | 'Отдел продаж'  | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Петров П.Г.'      | '70,000'     | '17,19'      |
			| 'Магнит'     | 'Отдел продаж'  | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Петров П.Г.'      | '180,000'    | '44,21'      |
			| 'Магнит'     | 'Отдел продаж'  | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Петров П.Г.'      | '300,000'    | '73,69'      |
			| 'Х5'         | 'Отдел продаж'  | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Петров П.Г.'      | '195,000'    | '47,89'      |
			| 'Х5'         | 'Отдел продаж'  | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Петров П.Г.'      | '140,000'    | '34,39'      |
			| 'Х5'         | 'Отдел продаж'  | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Петров П.Г.'      | '160,000'    | '39,30'      |
			| 'Х5'         | 'Отдел продаж'  | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'З/П Руководителя направления' | 'Петров П.Г.'      | '250,000'    | '61,40'      |
		Тогда элемент формы с именем "Показатель" стал равен 'Валовая прибыль'
		Тогда элемент формы с именем "Пояснение" стал равен 'З/П Руководителя направления'
	И Я заканчиваю создавать распределение затрат

Сценарий: 007.6. financial_results. Проверка движений распределения затрат на З/П Руководителя направления
	
	И Я проверяю движения распределение затрат "РаспределениеЗатратЗПРуководителяНаправления"

Сценарий: 007.7. financial_results. Создание распределения затрат на З/П Водитель

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "З/П Водитель"
	И в поле с именем 'Комментарий' я ввожу текст 'РаспределениеЗатратЗПВодитель'
	* Проверка заполнившихся значений
		Тогда элемент формы с именем "Сценарий" стал равен 'З/П Водитель'
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		Тогда таблица "Затраты" стала равной:
			| 'Подразделение'          | 'Статья затрат' | 'Аналитика затрат' | 'Сумма, RUB' |
			| 'Транспортная логистика' | 'З/П Водитель'  | 'Сергеев Л.Н.'     | '50,00'      |
		Тогда элемент формы с именем "Комментарий" стал равен 'РаспределениеЗатратЗПВодитель'
		Тогда элемент формы с именем "СуммаДокумента" стал равен '50,00'
		Тогда таблица "База" стала равной по шаблону:
			| 'Количество' | 'Контрагент' | 'Документ продажи'                     | 'Валовая прибыль, RUB' | 'Номенклатура' | 'Подразделение'  | 'Сумма, RUB' | 'Заказ клиента'                          | 'Вес, кг' | 'Себестоимость, RUB' |
			| '5,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '90,00'                | 'Кефир'        | '<Не заполнено>' | '250,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '5'       | '160,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '180,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '320,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '190,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '550,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '360,00'             |
			| '8,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '280,00'               | 'Творог'       | '<Не заполнено>' | '960,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '8'       | '680,00'             |
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение'          | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат' | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'ИП Смирнов' | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Водитель'  | 'Сергеев Л.Н.'     | '250,000'    | '5,53'       |
			| 'ИП Смирнов' | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Водитель'  | 'Сергеев Л.Н.'     | '500,000'    | '11,06'      |
			| 'ИП Смирнов' | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Водитель'  | 'Сергеев Л.Н.'     | '550,000'    | '12,17'      |
			| 'ИП Смирнов' | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 21.02.2021 [Создан]' | 'З/П Водитель'  | 'Сергеев Л.Н.'     | '960,000'    | '21,24'      |
		Тогда элемент формы с именем "Показатель" стал равен 'Сумма'
		Тогда элемент формы с именем "Пояснение" стал равен 'З/П Водитель'
	И Я заканчиваю создавать распределение затрат

Сценарий: 007.8. financial_results. Проверка движений распределения затрат на З/П Водитель
	
	И Я проверяю движения распределение затрат "РаспределениеЗатратЗПВодитель"

Сценарий: 007.9. financial_results. Создание распределения затрат на Маркетинг (акция)

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Маркетинг (акция)"
	И в поле с именем 'Комментарий' я ввожу текст 'РаспределениеЗатратМаркетингАкция'
	* Проверка заполнившихся значений
		Тогда элемент формы с именем "Сценарий" стал равен 'Маркетинг (акция)'
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		Тогда таблица "Затраты" стала равной:
			| 'Подразделение' | 'Статья затрат'     | 'Аналитика затрат'                                    | 'Сумма, RUB' |
			| 'Маркетинг'     | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '50,00'      |
		Тогда элемент формы с именем "Комментарий" стал равен 'РаспределениеЗатратМаркетингАкция'
		Тогда элемент формы с именем "СуммаДокумента" стал равен '50,00'
		Тогда таблица "База" стала равной по шаблону:
			| 'Количество' | 'Контрагент' | 'Документ продажи'                     | 'Валовая прибыль, RUB' | 'Номенклатура' | 'Подразделение'  | 'Сумма, RUB' | 'Заказ клиента'                          | 'Вес, кг' | 'Себестоимость, RUB' |
			| '5,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '90,00'                | 'Кефир'        | '<Не заполнено>' | '250,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '5'       | '160,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '180,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '320,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '190,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '550,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '360,00'             |
			| '8,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '280,00'               | 'Творог'       | '<Не заполнено>' | '960,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '8'       | '680,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '130,00'               | 'Кефир'        | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '320,00'             |
			| '5,000'      | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '70,00'                | 'Молоко 2,5 %' | '<Не заполнено>' | '225,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '5'       | '155,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '180,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '520,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '300,00'               | 'Творог'       | '<Не заполнено>' | '1 150,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
			| '15,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '195,00'               | 'Кефир'        | '<Не заполнено>' | '675,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '15'      | '480,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '140,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '310,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '160,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '250,00'               | 'Творог'       | '<Не заполнено>' | '1 100,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение' | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'     | 'Аналитика затрат'                                    | 'Показатель' | 'Сумма, RUB' |
			| 'ИП Смирнов' | 'Маркетинг'     | 'Кефир'        | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '250,000'    | '1,71'       |
			| 'ИП Смирнов' | 'Маркетинг'     | 'Молоко 2,5 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '500,000'    | '3,41'       |
			| 'ИП Смирнов' | 'Маркетинг'     | 'Молоко 3,2 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '550,000'    | '3,75'       |
			| 'ИП Смирнов' | 'Маркетинг'     | 'Творог'       | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '960,000'    | '6,55'       |
			| 'Магнит'     | 'Маркетинг'     | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '450,000'    | '3,07'       |
			| 'Магнит'     | 'Маркетинг'     | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '225,000'    | '1,53'       |
			| 'Магнит'     | 'Маркетинг'     | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '520,000'    | '3,55'       |
			| 'Магнит'     | 'Маркетинг'     | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '1 150,000'  | '7,85'       |
			| 'Х5'         | 'Маркетинг'     | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '675,000'    | '4,60'       |
			| 'Х5'         | 'Маркетинг'     | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '450,000'    | '3,07'       |
			| 'Х5'         | 'Маркетинг'     | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '500,000'    | '3,41'       |
			| 'Х5'         | 'Маркетинг'     | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (акция)' | 'Акция с 15.02.21 по 25.02.21 для ИП Смирнов; Магнит' | '1 100,000'  | '7,50'       |
		Тогда элемент формы с именем "Показатель" стал равен 'Сумма'
		Тогда элемент формы с именем "Пояснение" стал равен 'Маркетинг (акция)'
	И Я заканчиваю создавать распределение затрат

Сценарий: 007.10. financial_results. Проверка движений распределения затрат на Маркетинг (акция)
	
	И Я проверяю движения распределение затрат "РаспределениеЗатратМаркетингАкция"

Сценарий: 007.11. financial_results. Создание распределения затрат на Маркетинг (товарная категория)

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Маркетинг (товарная категория)"
	И в поле с именем 'Комментарий' я ввожу текст 'РаспределениеЗатратМаркетингТоварнаяКатегория'
	* Проверка заполнившихся значений
		Тогда элемент формы с именем "Сценарий" стал равен 'Маркетинг (товарная категория)'
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		Тогда таблица "Затраты" стала равной:
			| 'Подразделение' | 'Статья затрат'                  | 'Аналитика затрат' | 'Сумма, RUB' |
			| 'Маркетинг'     | 'Маркетинг (товарная категория)' | 'Молоко'           | '100,00'     |
		Тогда элемент формы с именем "Комментарий" стал равен 'РаспределениеЗатратМаркетингТоварнаяКатегория'
		Тогда элемент формы с именем "СуммаДокумента" стал равен '100,00'
		Тогда таблица "База" стала равной по шаблону:
			| 'Количество' | 'Контрагент' | 'Документ продажи'                     | 'Валовая прибыль, RUB' | 'Номенклатура' | 'Подразделение'  | 'Сумма, RUB' | 'Заказ клиента'                          | 'Вес, кг' | 'Себестоимость, RUB' |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '180,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '320,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '190,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '550,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '360,00'             |
			| '5,000'      | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '70,00'                | 'Молоко 2,5 %' | '<Не заполнено>' | '225,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '5'       | '155,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '180,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '520,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '140,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '310,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '160,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение' | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'                  | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'ИП Смирнов' | 'Маркетинг'     | 'Молоко 2,5 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Маркетинг (товарная категория)' | 'Молоко'           | '500,000'    | '18,21'      |
			| 'ИП Смирнов' | 'Маркетинг'     | 'Молоко 3,2 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Маркетинг (товарная категория)' | 'Молоко'           | '550,000'    | '20,05'      |
			| 'Магнит'     | 'Маркетинг'     | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (товарная категория)' | 'Молоко'           | '225,000'    | '8,20'       |
			| 'Магнит'     | 'Маркетинг'     | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (товарная категория)' | 'Молоко'           | '520,000'    | '18,94'      |
			| 'Х5'         | 'Маркетинг'     | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (товарная категория)' | 'Молоко'           | '450,000'    | '16,39'      |
			| 'Х5'         | 'Маркетинг'     | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Маркетинг (товарная категория)' | 'Молоко'           | '500,000'    | '18,21'      |
		Тогда элемент формы с именем "Показатель" стал равен 'Сумма'
		Тогда элемент формы с именем "Пояснение" стал равен 'Маркетинг (товарная категория)'
	И Я заканчиваю создавать распределение затрат

Сценарий: 007.12. financial_results. Проверка движений распределения затрат на Маркетинг (товарная категория)
	
	И Я проверяю движения распределение затрат "РаспределениеЗатратМаркетингТоварнаяКатегория"

Сценарий: 007.13. financial_results. Создание распределения затрат на Транспортные расходы (бензин)

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Транспортные расходы (бензин)"
	И в поле с именем 'Комментарий' я ввожу текст 'РаспределениеЗатратТранспортныеРасходыБензин'
	* Проверка заполнившихся значений
		Тогда элемент формы с именем "Сценарий" стал равен 'Транспортные расходы (бензин)'
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		Тогда таблица "Затраты" стала равной:
			| 'Подразделение'          | 'Статья затрат'                 | 'Аналитика затрат' | 'Сумма, RUB' |
			| 'Транспортная логистика' | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '70,00'      |
		Тогда элемент формы с именем "Комментарий" стал равен 'РаспределениеЗатратТранспортныеРасходыБензин'
		Тогда элемент формы с именем "СуммаДокумента" стал равен '70,00'
		Тогда таблица "База" стала равной по шаблону:
			| 'Количество' | 'Контрагент' | 'Документ продажи'                     | 'Валовая прибыль, RUB' | 'Номенклатура' | 'Подразделение'  | 'Сумма, RUB' | 'Заказ клиента'                          | 'Вес, кг' | 'Себестоимость, RUB' |
			| '5,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '90,00'                | 'Кефир'        | '<Не заполнено>' | '250,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '5'       | '160,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '180,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '320,00'             |
			| '10,000'     | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '190,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '550,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '10'      | '360,00'             |
			| '8,000'      | 'ИП Смирнов' | 'Реализация товаров * от 21.02.2021 *' | '280,00'               | 'Творог'       | '<Не заполнено>' | '960,00'     | 'Заказ клиента * от 21.02.2021 [Создан]' | '8'       | '680,00'             |
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение'          | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'                 | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'ИП Смирнов' | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '250,000'    | '7,74'       |
			| 'ИП Смирнов' | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '500,000'    | '15,49'      |
			| 'ИП Смирнов' | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '550,000'    | '17,04'      |
			| 'ИП Смирнов' | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 21.02.2021 [Создан]' | 'Транспортные расходы (Бензин)' | 'АА777А Газель'    | '960,000'    | '29,73'      |
		Тогда элемент формы с именем "Показатель" стал равен 'Сумма'
		Тогда элемент формы с именем "Пояснение" стал равен 'Транспортные расходы (бензин)'
	И Я заканчиваю создавать распределение затрат

Сценарий: 007.14. financial_results. Проверка движений распределения затрат на Транспортные расходы (бензин)
	
	И Я проверяю движения распределение затрат "РаспределениеЗатратТранспортныеРасходыБензин"

Сценарий: 007.15. financial_results. Проверка распределения затрат с разными показателями

	И В командном интерфейсе я выбираю 'Деньги' 'Распределение затрат'
	Тогда открылось окно 'Распределение затрат'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распределение затрат (создание)'
	И из выпадающего списка "Сценарий" я выбираю по строке 'Транспортные расходы (поставщик)'
	И из выпадающего списка "Организация" я выбираю по строке 'ТД_Молочный мир'
	И из выпадающего списка "Направление деятельности" я выбираю по строке 'Основное направление'
	И в поле 'от' я ввожу текст '28.02.2021  0:00:00'
	* Проверка заполнившихся значений
		Тогда элемент формы с именем "Сценарий" стал равен 'Транспортные расходы (поставщик)'
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
	* Проверка заполнения затрат
		И я нажимаю на кнопку с именем 'Затраты_Заполнить'
		Тогда таблица "Затраты" стала равной:
			| 'Подразделение'          | 'Статья затрат'                    | 'Аналитика затрат' | 'Сумма, RUB' |
			| 'Транспортная логистика' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '150,00'     |
		Тогда элемент формы с именем "СуммаДокумента" стал равен '150,00'
	* Проверка заполнения базы
		И я перехожу к закладке "База"
		И я нажимаю на кнопку с именем 'БазаБазаРаспределения_Заполнить'
		Тогда таблица "База" стала равной по шаблону:
			| 'Количество' | 'Контрагент' | 'Документ продажи'                     | 'Валовая прибыль, RUB' | 'Номенклатура' | 'Подразделение'  | 'Сумма, RUB' | 'Заказ клиента'                          | 'Вес, кг' | 'Себестоимость, RUB' |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '130,00'               | 'Кефир'        | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '320,00'             |
			| '5,000'      | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '70,00'                | 'Молоко 2,5 %' | '<Не заполнено>' | '225,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '5'       | '155,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '180,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '520,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '300,00'               | 'Творог'       | '<Не заполнено>' | '1 150,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
			| '15,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '195,00'               | 'Кефир'        | '<Не заполнено>' | '675,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '15'      | '480,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '140,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '310,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '160,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '250,00'               | 'Творог'       | '<Не заполнено>' | '1 100,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
	* Проверка распределения по количеству
		И я перехожу к закладке "Расходы"
		И в поле 'Пояснение' я ввожу текст 'Проверка распределения затрат'
		И из выпадающего списка с именем "Показатель" я выбираю точное значение 'Количество'
		И в таблице "Расходы" я нажимаю на кнопку 'Распределить'
		Тогда элемент формы с именем "Показатель" стал равен 'Количество'
		Тогда элемент формы с именем "Пояснение" стал равен 'Проверка распределения затрат'
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение'          | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'                    | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'Магнит'     | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '5,000'      | '9,38'       |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Х5'         | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '15,000'     | '28,12'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Х5'         | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
	* Проверка распределения по сумме
		И я перехожу к закладке "Расходы"
		И из выпадающего списка с именем "Показатель" я выбираю точное значение 'Сумма'
		И в таблице "Расходы" я нажимаю на кнопку 'Распределить'
		Тогда элемент формы с именем "Показатель" стал равен 'Сумма'
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение'          | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'                    | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'Магнит'     | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '450,000'    | '13,31'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '225,000'    | '6,66'       |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '520,000'    | '15,38'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '1 150,000'  | '34,04'      |
			| 'Х5'         | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '675,000'    | '19,97'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '450,000'    | '13,31'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '500,000'    | '14,79'      |
			| 'Х5'         | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '1 100,000'  | '32,54'      |
	* Проверка распределения по весу
		И я перехожу к закладке "Расходы"
		И из выпадающего списка с именем "Показатель" я выбираю точное значение 'Вес'
		И в таблице "Расходы" я нажимаю на кнопку 'Распределить'
		Тогда элемент формы с именем "Показатель" стал равен 'Вес'
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение'          | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'                    | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'Магнит'     | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '5,000'      | '9,38'       |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Х5'         | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '15,000'     | '28,12'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
			| 'Х5'         | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '10,000'     | '18,75'      |
	* Проверка распределения по себестоимости
		И я перехожу к закладке "Расходы"
		И из выпадающего списка с именем "Показатель" я выбираю точное значение 'Себестоимость'
		И в таблице "Расходы" я нажимаю на кнопку 'Распределить'
		Тогда элемент формы с именем "Показатель" стал равен 'Себестоимость'
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение'          | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'                    | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'Магнит'     | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '320,000'    | '13,17'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '155,000'    | '6,38'       |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '340,000'    | '13,99'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '850,000'    | '34,98'      |
			| 'Х5'         | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '480,000'    | '19,75'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '310,000'    | '12,76'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '340,000'    | '13,99'      |
			| 'Х5'         | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '850,000'    | '34,98'      |
	* Проверка распределения по валовой прибыли
		И я перехожу к закладке "Расходы"
		И из выпадающего списка с именем "Показатель" я выбираю точное значение 'Валовая прибыль'
		И в таблице "Расходы" я нажимаю на кнопку 'Распределить'
		Тогда элемент формы с именем "Показатель" стал равен 'Валовая прибыль'
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение'          | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'                    | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'Магнит'     | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '130,000'    | '13,68'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '70,000'     | '7,37'       |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '180,000'    | '18,95'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '300,000'    | '31,57'      |
			| 'Х5'         | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '195,000'    | '20,53'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '140,000'    | '14,74'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '160,000'    | '16,84'      |
			| 'Х5'         | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '250,000'    | '26,32'      |
	* Закрытие распределения затрат без сохранения
		И Я закрываю окно 'Распределение затрат (создание) *'
		Тогда открылось окно '1С:Предприятие'
		И я нажимаю на кнопку 'Нет'
		Тогда открылось окно 'Распределение затрат'
		И Я закрываю окно 'Распределение затрат'
	
Сценарий: 007.16. financial_results. Создание распределения затрат на Транспортные расходы (поставщик)

	И Я начинаю создавать распределение затрат от "28.02.2021" по сценарию "Транспортные расходы (поставщик)"
	И в поле с именем 'Комментарий' я ввожу текст 'РаспределениеЗатратТранспортныеРасходыПоставщик'
	* Проверка заполнившихся значений
		Тогда элемент формы с именем "Сценарий" стал равен 'Транспортные расходы (поставщик)'
		Тогда элемент формы с именем "Организация" стал равен 'ТД_Молочный мир'
		Тогда элемент формы с именем "НаправлениеДеятельности" стал равен 'Основное направление'
		Тогда таблица "Затраты" стала равной:
			| 'Подразделение'          | 'Статья затрат'                    | 'Аналитика затрат' | 'Сумма, RUB' |
			| 'Транспортная логистика' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '150,00'     |
		Тогда элемент формы с именем "Комментарий" стал равен 'РаспределениеЗатратТранспортныеРасходыПоставщик'
		Тогда элемент формы с именем "СуммаДокумента" стал равен '150,00'
		Тогда таблица "База" стала равной по шаблону:
			| 'Количество' | 'Контрагент' | 'Документ продажи'                     | 'Валовая прибыль, RUB' | 'Номенклатура' | 'Подразделение'  | 'Сумма, RUB' | 'Заказ клиента'                          | 'Вес, кг' | 'Себестоимость, RUB' |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '130,00'               | 'Кефир'        | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '320,00'             |
			| '5,000'      | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '70,00'                | 'Молоко 2,5 %' | '<Не заполнено>' | '225,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '5'       | '155,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '180,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '520,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Магнит'     | 'Реализация товаров * от 20.02.2021 *' | '300,00'               | 'Творог'       | '<Не заполнено>' | '1 150,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
			| '15,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '195,00'               | 'Кефир'        | '<Не заполнено>' | '675,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '15'      | '480,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '140,00'               | 'Молоко 2,5 %' | '<Не заполнено>' | '450,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '310,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '160,00'               | 'Молоко 3,2 %' | '<Не заполнено>' | '500,00'     | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '340,00'             |
			| '10,000'     | 'Х5'         | 'Реализация товаров * от 20.02.2021 *' | '250,00'               | 'Творог'       | '<Не заполнено>' | '1 100,00'   | 'Заказ клиента * от 20.02.2021 [Создан]' | '10'      | '850,00'             |
		Тогда таблица "Расходы" стала равной по шаблону:
			| 'Контрагент' | 'Подразделение'          | 'Номенклатура' | 'Заказ клиента'                          | 'Статья затрат'                    | 'Аналитика затрат' | 'Показатель' | 'Сумма, RUB' |
			| 'Магнит'     | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '450,000'    | '13,31'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '225,000'    | '6,66'       |
			| 'Магнит'     | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '520,000'    | '15,38'      |
			| 'Магнит'     | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '1 150,000'  | '34,04'      |
			| 'Х5'         | 'Транспортная логистика' | 'Кефир'        | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '675,000'    | '19,97'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 2,5 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '450,000'    | '13,31'      |
			| 'Х5'         | 'Транспортная логистика' | 'Молоко 3,2 %' | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '500,000'    | '14,79'      |
			| 'Х5'         | 'Транспортная логистика' | 'Творог'       | 'Заказ клиента * от 20.02.2021 [Создан]' | 'Транспортные расходы (поставщик)' | 'АвтоМир'          | '1 100,000'  | '32,54'      |
		Тогда элемент формы с именем "Показатель" стал равен 'Сумма'
		Тогда элемент формы с именем "Пояснение" стал равен 'Транспортные расходы (поставщик)'
	И Я заканчиваю создавать распределение затрат

Сценарий: 007.17. financial_results. Проверка движений распределения затрат на Транспортные расходы (поставщик)
	
	И Я проверяю движения распределение затрат "РаспределениеЗатратТранспортныеРасходыПоставщик"

Сценарий: 007.18. financial_results. Проверка отборов на форме списка распределения затрат

	И В командном интерфейсе я выбираю 'Деньги' 'Распределение затрат'
	Тогда открылось окно 'Распределение затрат'
	* Проверка отбора по периоду
		И я нажимаю на гиперссылку "Период"
		И Я указываю в диалоге стандартного периода период с "01.03.2021" по "31.03.2021"
		Тогда открылось окно 'Распределение затрат'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по периоду
		И я нажимаю на гиперссылку 'Период'
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Распределение затрат'
	* Проверка отбора по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по организации
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Проверка отбора по сценарию
		И из выпадающего списка с именем "_Отбор_Сценарий" я выбираю по строке 'Маркетинг (акция)'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Направление деятельности' | 'Сумма'      | 'Организация'     | 'Пояснение'         | 'Комментарий'                       |
			| '28.02.2021' | 'Основное направление'     | '50,00, RUB' | 'ТД_Молочный мир' | 'Маркетинг (акция)' | 'РаспределениеЗатратМаркетингАкция' |
	* Очистка отбора по сценарию
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Сценарий"
	* Проверка отбора по направлению деятельности
		И из выпадающего списка с именем "_Отбор_НаправлениеДеятельности" я выбираю по строке 'Новое направление деятельности'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по направлению деятельности
		И я нажимаю кнопку очистить у поля с именем "_Отбор_НаправлениеДеятельности"
	* Проверка отбора по статье затрат
		И из выпадающего списка с именем "_Отбор_ЗатратыСтатьяЗатрат" я выбираю по строке 'Маркетинг (акция)'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Направление деятельности' | 'Сумма'      | 'Организация'     | 'Пояснение'         | 'Комментарий'                       |
			| '28.02.2021' | 'Основное направление'     | '50,00, RUB' | 'ТД_Молочный мир' | 'Маркетинг (акция)' | 'РаспределениеЗатратМаркетингАкция' |
	* Очистка отбора по статье затрат
		И я нажимаю кнопку очистить у поля с именем "_Отбор_ЗатратыСтатьяЗатрат"
	* Проверка отбора по контрагенту
		И из выпадающего списка с именем "_Отбор_РасходыКонтрагент" я выбираю по строке 'Магнит'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Направление деятельности' | 'Сумма'       | 'Организация'     | 'Пояснение'                        | 'Комментарий'                                     |
			| '28.02.2021' | 'Основное направление'     | '400,00, RUB' | 'ТД_Молочный мир' | 'Аренда'                           | 'РаспределениеЗатратАренда'                       |
			| '28.02.2021' | 'Основное направление'     | '195,00, RUB' | 'ТД_Молочный мир' | 'З/П Менеджера клиента'            | 'РаспределениеЗатратЗПМенеджераКлиента'           |
			| '28.02.2021' | 'Основное направление'     | '500,00, RUB' | 'ТД_Молочный мир' | 'З/П Руководителя направления'     | 'РаспределениеЗатратЗПРуководителяНаправления'    |
			| '28.02.2021' | 'Основное направление'     | '50,00, RUB'  | 'ТД_Молочный мир' | 'Маркетинг (акция)'                | 'РаспределениеЗатратМаркетингАкция'               |
			| '28.02.2021' | 'Основное направление'     | '100,00, RUB' | 'ТД_Молочный мир' | 'Маркетинг (товарная категория)'   | 'РаспределениеЗатратМаркетингТоварнаяКатегория'   |
			| '28.02.2021' | 'Основное направление'     | '150,00, RUB' | 'ТД_Молочный мир' | 'Транспортные расходы (поставщик)' | 'РаспределениеЗатратТранспортныеРасходыПоставщик' |
	* Очистка отбора по контрагенту
		И я нажимаю кнопку очистить у поля с именем "_Отбор_РасходыКонтрагент"
	* Проверка отбора по заказу
		И я нажимаю кнопку выбора у поля с именем "_Отбор_РасходыЗаказКлиента"
		Тогда открылось окно 'Заказы клиентов'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                |
			| 'Заказ Пятерочка 20.02.2021' |
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Распределение затрат'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Направление деятельности' | 'Сумма'       | 'Организация'     | 'Пояснение'                        | 'Комментарий'                                     |
			| '28.02.2021' | 'Основное направление'     | '400,00, RUB' | 'ТД_Молочный мир' | 'Аренда'                           | 'РаспределениеЗатратАренда'                       |
			| '28.02.2021' | 'Основное направление'     | '195,00, RUB' | 'ТД_Молочный мир' | 'З/П Менеджера клиента'            | 'РаспределениеЗатратЗПМенеджераКлиента'           |
			| '28.02.2021' | 'Основное направление'     | '500,00, RUB' | 'ТД_Молочный мир' | 'З/П Руководителя направления'     | 'РаспределениеЗатратЗПРуководителяНаправления'    |
			| '28.02.2021' | 'Основное направление'     | '50,00, RUB'  | 'ТД_Молочный мир' | 'Маркетинг (акция)'                | 'РаспределениеЗатратМаркетингАкция'               |
			| '28.02.2021' | 'Основное направление'     | '100,00, RUB' | 'ТД_Молочный мир' | 'Маркетинг (товарная категория)'   | 'РаспределениеЗатратМаркетингТоварнаяКатегория'   |
			| '28.02.2021' | 'Основное направление'     | '150,00, RUB' | 'ТД_Молочный мир' | 'Транспортные расходы (поставщик)' | 'РаспределениеЗатратТранспортныеРасходыПоставщик' |
	* Очистка отбора по заказу
		И я нажимаю кнопку очистить у поля с именем "_Отбор_РасходыЗаказКлиента"
	* Проверка отбора по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Пользователь'
		Тогда в таблице "Список" количество строк "равно" 0
	* Очистка отбора по ответственному
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Распределение затрат'